Bug 1568262 - [RFE] - Add USB device in Nova instance
Summary: [RFE] - Add USB device in Nova instance
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: nova-maint
QA Contact: nova-maint
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 04:51 UTC by Pradipta Kumar Sahoo
Modified: 2019-10-16 00:49 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 00:56:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pradipta Kumar Sahoo 2018-04-17 04:51:20 UTC
Description of problem:

The customer is expecting to add USB device to nova instance using nova command since virsh edit command is not persistent while use reboot/reset operation done through in nova command.

Version-Release number of selected component (if applicable):
Red Hat OpenStack 12

Actual results:
Currently, the nova command doesn't have the feature to add USB passthrough to an instance. Please let me know if we have any alternative solution to achieve this scenario.

Expected results:
I found upstream blueprint [1] which status is in idle for a long time. 
Please help us to understand the current support scope and the milestone to implement this features

Additional info:
[1] https://blueprints.launchpad.net/nova/+spec/usb-hot-plug

Comment 4 Pradipta Kumar Sahoo 2018-05-04 10:26:29 UTC
Hi Stephen,

Please find below use case details shared by the customer and help me if we have any alternative solution on this.


Customer Use-Case Details:
~~~
In some situations, when the user login the VM, they need to use USB device to check its identification. 
For example, the bank or the same kind of organizations always need the user to have a USB device. 
So when the user login the system, they can use the certifications on the USB device to check the user.

Now, the customer has only the RHOSP12 environment. They knew the process to add the USB device in the XML file of KVM. But it is not persistent.

In VMware ESXi environment, the USB device can be added easily when configure the VM file. But how could I add the VM in OpenStack?
~~~

- Pradipta

Comment 6 Matthew Booth 2018-06-08 14:11:08 UTC
I have closed this bug as it has been waiting for more info for at least 2 weeks. We only do this to ensure that we don't accumulate stale bugs which can't be addressed. If you are able to provide the requested information, please feel free to re-open this bug.

Comment 7 Lee Yarwood 2018-08-21 13:41:46 UTC
Erwan, when you get some time can you close this out?

Comment 8 Erwan Gallen 2018-08-22 00:56:11 UTC
Pradipta we have no plans to work on USB passthrough.

For your use case, a workaround could be to use PCI passthrough.
Additional PCI USB controller cards can be added in the compute node.

I've done a test documented in this blog post to explain the workaround:
https://egallen.com/openstack-usb-passthrough/

The director templates are documented, this test has been done with OSP 13 but works with OSP 12.


Note You need to log in before you can comment on or make changes to this bug.